### Method

# Clutter PanGesture get_delta

#### Declaration [src]

    void
    clutter_pan_gesture_get_delta (
      ClutterPanGesture* self,
      graphene_vec2_t* delta_out
    )

#### Description [src]

Retrieves the delta between the current ::pan-update signal emission and the one before as `delta_out`.

This function is mostly meant to be called within ::pan-update signal handlers, to get the delta that the pan has moved since the last ::pan-update emission.

#### Parameters

`delta_out`

  Type: `graphene_vec2_t`

  The delta from the latest event.

  The argument will be set by the function.
  The returned data is owned by the instance.